<template>
  <b-card
    no-body
    class="card-profile"
    alt="Image placeholder"
    img-top
    v-if="user"
  >
    <b-row class="justify-content-center">
      <b-col lg="3" class="order-lg-2">
        <div class="card-profile-image">
          <b-img
            :src="
              user.genero == 'F'
                ? 'img/female.png'
                : user.genero == 'M'
                ? 'img/male.png'
                : 'img/otro.png'
            "
            rounded="circle"
          />
        </div>
      </b-col>
    </b-row>

    <b-card-body>
      <div class="text-center pt-0 mt-8">
        <h5 class="h3">
          {{ user.nombre }} {{ user.apellido
          }}<span class="font-weight-light"
            >, {{ moment().diff(user.fechaNac, "years") }}</span
          >
          <br />
          <span class="font-weight-light">
            {{
              user.genero == "F"
                ? "Femenino"
                : user.genero == "M"
                ? "Masculino"
                : ""
            }}
          </span>
        </h5>
      </div>
      <b-row>
        <b-col>
          <div class="card-profile-stats d-flex justify-content-center mt-md-2">
            <!-- Button trigger modal -->

            <b-button
              pill
              size="lg"
              v-b-modal.modal-1
              style="background-color: #C8E7FE"
              ><i style="color: #496F84;" class="fas fa-2x fas fa-pills"></i
            ></b-button>
            <b-modal
              centered
              id="modal-1"
              size="sm"
              title="Medicamentos actuales"
            >
              <p>{{ user.antecedentes.medicamentos }}</p>
              <template #modal-footer="{ ok }">
                <b-button size="sm" variant="success" @click="ok()">
                  OK
                </b-button>
              </template>
            </b-modal>

            <b-button
              pill
              size="lg"
              v-b-modal.modal-2
              style="background-color: #C8E7FE"
              ><i style="color: #496F84;" class="fas fa-2x fas fa-allergies"></i
            ></b-button>
            <b-modal centered id="modal-2" size="sm" title="Alergias">
              <p>{{ user.antecedentes.alergias }}</p>
              <template #modal-footer="{ ok }">
                <b-button size="sm" variant="success" @click="ok()">
                  OK
                </b-button>
              </template>
            </b-modal>
          </div>
        </b-col>
      </b-row>
    </b-card-body>
  </b-card>
</template>
<script>
import moment from "moment";

export default {
  props: {
    user: {
      type: Object
    }
  },
  data() {
    return {
      moment
    };
  }
};
</script>
<style></style>
